Page MenuHomePhabricator

Editor does not show confirmation that an edit was successful
Closed, ResolvedPublic0 Estimated Story Points

Description

A key browser test is currently failing:
Scenario: Successful edit on page without languages shows no language button [bug 63675]

This blocks all merges to MobileFrontend as well as daily integration browser tests:
https://integration.wikimedia.org/ci/view/Reading-Web/job/selenium-MobileFrontend/484/BROWSER=chrome,MEDIAWIKI_ENVIRONMENT=beta,PLATFORM=Linux,label=BrowserTests/testReport/junit/(root)/Wikitext%20Editor%20(Makes%20actual%20saves)/Successful_edit_on_page_without_languages_shows_no_language_button__bug_63675_/

Replication steps

Any edit to the mobile site, does not appear to be giving the user feedback that the edit was successful.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2017, 8:40 PM
Jdlrobson triaged this task as Unbreak Now! priority.Jul 10 2017, 8:40 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJul 10 2017, 8:40 PM
Jdlrobson updated the task description. (Show Details)Jul 10 2017, 9:15 PM

What seems to be happening is the page refresh query is getting stalled by Chrome.

I can't replicate this locally. Did anything change in VisualEditor recently that might be cancelling this request?

This doesn't seem to happen all the time on the beta cluster... I've seen a few Selenium builds pass.

Jdlrobson lowered the priority of this task from Unbreak Now! to High.Jul 10 2017, 11:11 PM

This seems to be a flakey test as I just managed to merge a patch.. so this is only frustrating in that we can't merge code easily so dropping down from UBN status.

Change 364348 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] QA: Fix flakey test by adding an additional step

https://gerrit.wikimedia.org/r/364348

Change 364348 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] QA: Fix flakey tests by adding additional steps

https://gerrit.wikimedia.org/r/364348

Jdlrobson closed this task as Resolved.Jul 11 2017, 10:09 PM
Jdlrobson claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 11 2017, 10:09 PM
Jdforrester-WMF set the point value for this task to 0.Jul 14 2017, 11:20 PM